This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 122678 - New file selection dialog (used by file-roller for instance) crashes when currently viewed dir is altered
New file selection dialog (used by file-roller for instance) crashes when cur...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-vfs (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-06 16:33 EDT by Harry Waye
Modified: 2013-04-02 00:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-17 16:23:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harry Waye 2004-05-06 16:33:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
With the file dialog open, deleting a folder/file causes the dialog,
and the parent process to crash.

Version-Release number of selected component (if applicable):
gnome-vfs-1.0.5-18

How reproducible:
Always

Steps to Reproduce:
1. Get the file selector up.
2. Independant of the file selector, delete a folder/file in the view
directory.
3. CRASH!
    

Actual Results:  Change my operating system to WinXP.

Expected Results:  File dialog gracefully updates its file list.

Additional info:
Comment 1 Harry Waye 2004-05-17 16:20:50 EDT
Now appears to not crash, as of current dev tree.  Now updates on
change of folder.  Is this correct behaviour, seems ok to me, unless
it could be sent a signal prompting that a change has taken place and
should be refreshed automatically.  Otherwise, bug fixed.

Note You need to log in before you can comment on or make changes to this bug.